# Extra flags during tools build
riscv_target_flags =	-fvisibility=hidden \
			-fno-pic -Wa,-fno-pic -fno-PIE \
			-frename-registers -fshort-enums -fshort-wchar \
			-ffunction-sections -fdata-sections \
			-mshorten-memrefs -mstrict-align -fno-exceptions

# Additional flags during application build
riscv_flags = $(riscv_target_flags) \
			 -specs=nano.specs -Os -ggdb3 -fwrapv \
			-fno-strict-aliasing
